Bug 163521 - [exp-run] Change the Apache License acronym from ASL to AL2
[exp-run] Change the Apache License acronym from ASL to AL2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thomas Abthorpe
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 01:50 UTC by pfg
Modified: 2012-01-09 15:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pfg 2011-12-22 01:50:08 UTC
In the new LICENSE support, the acronym used by the ports tree to denote the Apache License is ASL.
This is wrong as the official name of the license doesn't carry the word source in it.
http://www.apache.org/licenses/LICENSE-2.0.html

The correct acronym, as referred to in Apache Projects, is "AL2".

Please note that there is also Apache License 1.0 and Apache License 1.1.

Replacing this is not urgent but it should be done.
Comment 1 Chris Rees freebsd_committer 2011-12-22 10:09:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees freebsd_committer 2011-12-23 15:31:39 UTC
Responsible Changed
From-To: crees->portmgr

Patch for exp-run
Comment 3 Chris Rees freebsd_committer 2011-12-23 15:32:56 UTC
Patch at http://www.bayofrum.net/~crees/patches/apache_license.diff

Chris
Comment 4 Chris Rees freebsd_committer 2011-12-27 13:46:06 UTC
Responsible Changed
From-To: portmgr->freebsd-apache

No reply from apache team yet, bounce for approval
Comment 5 Thomas Abthorpe freebsd_committer 2012-01-02 17:52:00 UTC
Responsible Changed
From-To: freebsd-apache->tabthorpe

I'll take it.
Comment 6 dfilter freebsd_committer 2012-01-09 15:41:18 UTC
tabthorpe    2012-01-09 15:41:08 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    Mk                   bsd.licenses.db.mk 
    audio/vo-aacenc      Makefile 
    audio/vo-amrwbenc    Makefile 
    biology/lamarc       Makefile 
    chinese/opencc       Makefile 
    databases/adminer    Makefile 
    databases/cassandra  Makefile 
    databases/jasperserver Makefile 
    databases/java-mybatis Makefile 
    databases/kumofs     Makefile 
    databases/p5-MongoDB Makefile 
    databases/pecl-mongo Makefile 
    databases/py-cql     Makefile 
    databases/py-south   Makefile 
    deskutils/horde4-mnemo Makefile 
    devel/R-cran-foreach Makefile 
    devel/R-cran-iterators Makefile 
    devel/apache-ant     Makefile 
    devel/etoile-unitkit Makefile 
    devel/fb303          Makefile 
    devel/jakarta-commons-chain Makefile 
    devel/jakarta-commons-io Makefile 
    devel/log4cxx        Makefile 
    devel/maven-ant-tasks Makefile 
    devel/ninja          Makefile 
    devel/py-gdata       Makefile 
    devel/py-wsgi_xmlrpc Makefile 
    devel/scalatest      Makefile 
    devel/subversion     Makefile.common 
    devel/subversion16   Makefile.common 
    devel/thrift         Makefile 
    dns/py-namebench     Makefile 
    editors/pico-alpine  Makefile 
    graphics/R-cran-RColorBrewer Makefile 
    graphics/py-actdiag  Makefile 
    graphics/py-blockdiag Makefile 
    graphics/py-nwdiag   Makefile 
    graphics/py-seqdiag  Makefile 
    graphics/tesseract   Makefile 
    graphics/tesseract-data Makefile 
    java/castor          Makefile 
    java/jakarta-commons-cli Makefile 
    java/jakarta-commons-codec Makefile 
    java/jakarta-commons-lang Makefile 
    java/netty           Makefile 
    lang/gambit-c        Makefile 
    lang/groovy          Makefile 
    mail/alpine          Makefile 
    mail/cclient         Makefile 
    mail/horde4-ingo     Makefile 
    mail/horde4-turba    Makefile 
    mail/imap-uw         Makefile 
    mail/libdkim         Makefile 
    mail/mime4j          Makefile 
    mail/p5-SES          Makefile 
    mail/spamass-ixhash  Makefile 
    net/activemq         Makefile 
    net/googlecl         Makefile 
    net/mDNSResponder    Makefile 
    net/openvswitch      Makefile 
    net/py-libcloud      Makefile 
    net-p2p/i2p          Makefile 
    print/pdfbox         Makefile 
    security/apache-xml-security-c Makefile 
    security/honggfuzz   Makefile 
    security/p5-Net-SAML Makefile 
    security/pam_google_authenticator Makefile 
    security/pear-Auth_OpenID Makefile 
    security/py-kerberos Makefile 
    security/py-openssl  Makefile 
    security/skipfish    Makefile 
    security/xml-security Makefile 
    sysutils/dtpstree    Makefile 
    sysutils/salt        Makefile 
    textproc/etoile-lucenekit Makefile 
    textproc/fex         Makefile 
    textproc/lucene      Makefile 
    textproc/nltk        Makefile 
    textproc/xalan-j     Makefile 
    textproc/zorba       Makefile 
    www/axis2            Makefile pkg-plist 
    www/closure-compiler Makefile 
    www/closure-linter   Makefile 
    www/dtse             Makefile 
    www/htmlcompressor   Makefile 
    www/httest           Makefile 
    www/httpclient       Makefile 
    www/httpcore         Makefile 
    www/jakarta-jmeter   Makefile 
    www/mod_auth_mysql2  Makefile 
    www/mod_authn_sasl   Makefile 
    www/mod_geoip2       Makefile 
    www/mod_gnutls       Makefile 
    www/mod_rivet        Makefile 
    www/mod_setenvifplus Makefile 
    www/mod_wsgi         Makefile 
    www/mod_wsgi3        Makefile 
    www/py-dtflickr      Makefile 
    www/py-selenium      Makefile 
    www/py-tornado       Makefile 
    www/tomcat-native    Makefile 
    www/tomcat6          Makefile 
    www/tomcat7          Makefile 
    www/trafficserver    Makefile 
    x11-fonts/droid-fonts-ttf Makefile 
  Log:
  - The proper acronym for Apache Software License 2 is really AL2
  - Thanks to crees@ for generating the initial patch
  
  PR:             ports/163521
  Submitted by:   Pedro Giffuni <pfg apache.org>
  Hat:            portmgr
  Exp run by:     pav
  
  Revision  Changes    Path
  1.17      +5 -5      ports/Mk/bsd.licenses.db.mk
  1.1185    +7 -1      ports/UPDATING
  1.5       +1 -1      ports/audio/vo-aacenc/Makefile
  1.3       +1 -1      ports/audio/vo-amrwbenc/Makefile
  1.15      +1 -1      ports/biology/lamarc/Makefile
  1.3       +1 -1      ports/chinese/opencc/Makefile
  1.19      +1 -1      ports/databases/adminer/Makefile
  1.19      +1 -1      ports/databases/cassandra/Makefile
  1.9       +1 -1      ports/databases/jasperserver/Makefile
  1.3       +1 -1      ports/databases/java-mybatis/Makefile
  1.26      +1 -1      ports/databases/kumofs/Makefile
  1.17      +1 -1      ports/databases/p5-MongoDB/Makefile
  1.16      +1 -1      ports/databases/pecl-mongo/Makefile
  1.2       +1 -1      ports/databases/py-cql/Makefile
  1.5       +1 -1      ports/databases/py-south/Makefile
  1.51      +1 -1      ports/deskutils/horde4-mnemo/Makefile
  1.5       +1 -1      ports/devel/R-cran-foreach/Makefile
  1.5       +1 -1      ports/devel/R-cran-iterators/Makefile
  1.54      +1 -1      ports/devel/apache-ant/Makefile
  1.18      +1 -1      ports/devel/etoile-unitkit/Makefile
  1.15      +1 -1      ports/devel/fb303/Makefile
  1.8       +1 -1      ports/devel/jakarta-commons-chain/Makefile
  1.16      +1 -1      ports/devel/jakarta-commons-io/Makefile
  1.28      +1 -1      ports/devel/log4cxx/Makefile
  1.8       +1 -1      ports/devel/maven-ant-tasks/Makefile
  1.5       +1 -1      ports/devel/ninja/Makefile
  1.31      +1 -1      ports/devel/py-gdata/Makefile
  1.4       +1 -1      ports/devel/py-wsgi_xmlrpc/Makefile
  1.4       +1 -1      ports/devel/scalatest/Makefile
  1.57      +2 -2      ports/devel/subversion/Makefile.common
  1.52      +2 -2      ports/devel/subversion16/Makefile.common
  1.28      +1 -1      ports/devel/thrift/Makefile
  1.6       +1 -1      ports/dns/py-namebench/Makefile
  1.5       +1 -1      ports/editors/pico-alpine/Makefile
  1.5       +1 -1      ports/graphics/R-cran-RColorBrewer/Makefile
  1.11      +1 -1      ports/graphics/py-actdiag/Makefile
  1.19      +1 -1      ports/graphics/py-blockdiag/Makefile
  1.11      +1 -1      ports/graphics/py-nwdiag/Makefile
  1.16      +1 -1      ports/graphics/py-seqdiag/Makefile
  1.4       +1 -1      ports/graphics/tesseract-data/Makefile
  1.18      +1 -1      ports/graphics/tesseract/Makefile
  1.18      +1 -1      ports/java/castor/Makefile
  1.17      +1 -1      ports/java/jakarta-commons-cli/Makefile
  1.10      +1 -1      ports/java/jakarta-commons-codec/Makefile
  1.20      +1 -1      ports/java/jakarta-commons-lang/Makefile
  1.3       +1 -1      ports/java/netty/Makefile
  1.11      +1 -1      ports/lang/gambit-c/Makefile
  1.17      +1 -1      ports/lang/groovy/Makefile
  1.15      +1 -1      ports/mail/alpine/Makefile
  1.47      +1 -1      ports/mail/cclient/Makefile
  1.50      +1 -1      ports/mail/horde4-ingo/Makefile
  1.82      +1 -1      ports/mail/horde4-turba/Makefile
  1.90      +1 -1      ports/mail/imap-uw/Makefile
  1.7       +1 -1      ports/mail/libdkim/Makefile
  1.8       +1 -1      ports/mail/mime4j/Makefile
  1.3       +1 -1      ports/mail/p5-SES/Makefile
  1.3       +1 -1      ports/mail/spamass-ixhash/Makefile
  1.65      +1 -1      ports/net-p2p/i2p/Makefile
  1.6       +1 -1      ports/net/activemq/Makefile
  1.10      +1 -1      ports/net/googlecl/Makefile
  1.38      +1 -1      ports/net/mDNSResponder/Makefile
  1.2       +1 -1      ports/net/openvswitch/Makefile
  1.8       +1 -1      ports/net/py-libcloud/Makefile
  1.2       +1 -1      ports/print/pdfbox/Makefile
  1.9       +1 -1      ports/security/apache-xml-security-c/Makefile
  1.6       +1 -1      ports/security/honggfuzz/Makefile
  1.13      +1 -1      ports/security/p5-Net-SAML/Makefile
  1.2       +1 -1      ports/security/pam_google_authenticator/Makefile
  1.5       +1 -1      ports/security/pear-Auth_OpenID/Makefile
  1.2       +1 -1      ports/security/py-kerberos/Makefile
  1.20      +1 -1      ports/security/py-openssl/Makefile
  1.22      +1 -1      ports/security/skipfish/Makefile
  1.5       +1 -1      ports/security/xml-security/Makefile
  1.3       +1 -1      ports/sysutils/dtpstree/Makefile
  1.2       +1 -1      ports/sysutils/salt/Makefile
  1.13      +1 -1      ports/textproc/etoile-lucenekit/Makefile
  1.2       +1 -1      ports/textproc/fex/Makefile
  1.11      +1 -1      ports/textproc/lucene/Makefile
  1.22      +1 -1      ports/textproc/nltk/Makefile
  1.26      +1 -1      ports/textproc/xalan-j/Makefile
  1.3       +1 -1      ports/textproc/zorba/Makefile
  1.7       +1 -1      ports/www/axis2/Makefile
  1.4       +1 -1      ports/www/axis2/pkg-plist
  1.9       +1 -1      ports/www/closure-compiler/Makefile
  1.6       +1 -1      ports/www/closure-linter/Makefile
  1.11      +1 -1      ports/www/dtse/Makefile
  1.3       +1 -1      ports/www/htmlcompressor/Makefile
  1.6       +1 -1      ports/www/httest/Makefile
  1.10      +1 -1      ports/www/httpclient/Makefile
  1.8       +1 -1      ports/www/httpcore/Makefile
  1.25      +1 -1      ports/www/jakarta-jmeter/Makefile
  1.13      +1 -1      ports/www/mod_auth_mysql2/Makefile
  1.10      +1 -1      ports/www/mod_authn_sasl/Makefile
  1.16      +1 -1      ports/www/mod_geoip2/Makefile
  1.6       +1 -1      ports/www/mod_gnutls/Makefile
  1.11      +1 -1      ports/www/mod_rivet/Makefile
  1.2       +1 -1      ports/www/mod_setenvifplus/Makefile
  1.22      +1 -1      ports/www/mod_wsgi/Makefile
  1.24      +1 -1      ports/www/mod_wsgi3/Makefile
  1.9       +1 -1      ports/www/py-dtflickr/Makefile
  1.5       +1 -1      ports/www/py-selenium/Makefile
  1.9       +1 -1      ports/www/py-tornado/Makefile
  1.13      +1 -1      ports/www/tomcat-native/Makefile
  1.67      +1 -1      ports/www/tomcat6/Makefile
  1.76      +1 -1      ports/www/tomcat7/Makefile
  1.18      +1 -1      ports/www/trafficserver/Makefile
  1.4       +1 -1      ports/x11-fonts/droid-fonts-ttf/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Thomas Abthorpe freebsd_committer 2012-01-09 15:47:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!